INITGROUPS(3)

NAME
initgroups - initialize the supplementary group access list

SYNOPSIS
#include <sys/types.h>
#include <grp.h>

int initgroups(const char *user, gid_t group);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

initgroups(): _BSD_SOURCE

DESCRIPTION
The initgroups() function initializes the group access list by reading the group database /etc/group and using all groups of which user is a member. The additional group group is also added to the list. The user argument must be non-NULL.

RETURN VALUE
The initgroups() function returns 0 on success. On error, -1 is returned, and errno is set appropriately.

ERRORS

ENOMEM
    Insufficient memory to allocate group information structure.

EPERM
    The calling process has insufficient privilege. See the underlying system call setgroups(2).

FILES
/etc/group		group database file

CONFORMING TO
SVr4, 4.3BSD.

SEE ALSO
getgroups(2), setgroups(2), credentials(7)

COLOPHON
This page is part of release 3.41 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.